Resource

Email Log

Logs of all the Email sent out to all users and subscribers for this project.

The Email Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    toEmail
    Type
    Email
    Description

    Email address where the mail was sent

  • Name
    fromEmail
    Type
    Email
    Description

    Email address where the mail was sent from

  • Name
    subject
    Type
    Long TextRequired
    Description

    Subject of the email sent

  • Name
    statusMessage
    Type
    Long Text
    Description

    Status Message (if any)

  • Name
    status
    Type
    TextRequired
    Description

    Status of the SMS sent

  • Name
    projectSmtpConfig
    Type
    Entity
    Description

    Relation to ProjectSmtpConfig resource in which this object belongs

  • Name
    projectSmtpConfigId
    Type
    Object ID
    Description

    ID of your Project Smtp Config in which this object belongs

  • Name
    incident
    Type
    Incident
    Description

    Incident associated with this email (if any)

  • Name
    incidentId
    Type
    Object ID
    Description

    ID of Incident associated with this email (if any)

  • Name
    user
    Type
    User
    Description

    User who initiated this email (if any)

  • Name
    userId
    Type
    Object ID
    Description

    ID of User who initiated this email (if any)

  • Name
    alert
    Type
    Alert
    Description

    Alert associated with this email (if any)

  • Name
    alertId
    Type
    Object ID
    Description

    ID of Alert associated with this email (if any)

  • Name
    monitor
    Type
    Monitor
    Description

    Monitor associated with this email (if any)

  • Name
    monitorId
    Type
    Object ID
    Description

    ID of Monitor associated with this email (if any)

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Scheduled Maintenance associated with this email (if any)

  • Name
    scheduledMaintenanceId
    Type
    Object ID
    Description

    ID of Scheduled Maintenance associated with this email (if any)

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page associated with this email (if any)

  • Name
    statusPageId
    Type
    Object ID
    Description

    ID of Status Page associated with this email (if any)

  • Name
    statusPageAnnouncement
    Type
    Status Page Announcement
    Description

    Status Page Announcement associated with this email (if any)

  • Name
    statusPageAnnouncementId
    Type
    Object ID
    Description

    ID of Status Page Announcement associated with this email (if any)

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    On-Call Duty Policy associated with this email (if any)

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy associated with this email (if any)

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    On-Call Duty Policy Escalation Rule associated with this email (if any)

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Escalation Rule associated with this email (if any)

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    On-Call Duty Policy Schedule associated with this email (if any)

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Schedule associated with this email (if any)

  • Name
    team
    Type
    Team
    Description

    Team associated with this email (if any)

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team associated with this email (if any)

GETorPOST/api/email-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your Email Log. By default, a maximum of ten Email Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/email-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "subject": true,
    "alert": true,
    "alertId": true
  },
  "query": {
    "status": "Sent"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376e0f40-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "subject": "Alert: High CPU Usage Detected on Server",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "376e0f41-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "subject": "Alert: High CPU Usage Detected on Server",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    },
    {
      "_id": "376e0f42-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Sent",
      "subject": "Alert: High CPU Usage Detected on Server",
      "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
      "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
    }
  ]
}
GETorPOST/api/email-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve Email Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/email-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "subject": true,
    "alert": true,
    "alertId": true
  }
}

Response

{
  "_id": "376e0f40-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "status": "Sent",
  "subject": "Alert: High CPU Usage Detected on Server",
  "alert": "d4e5f6a7-89ab-23de-f456-456789abcdef",
  "alertId": "d4e5f6a7-89ab-23de-f456-456789abcdef"
}
POST/api/email-log/count

Count

This endpoint allows you to retrieve the count of all your Email Log.

Optional Request Body

Count Request

POST
/api/email-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Sent"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Email Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Email Log
  • Read All Project Resources

Create Permissions

Required to create Email Log

This resource cannot be created via the API

Update Permissions

Required to update Email Log

This resource cannot be updated via the API

Delete Permissions

Required to delete Email Log

This resource cannot be deleted via the API